#include <cstdlib>
#include <iostream>

#include "constexp.h"
#include "ifswitch.h"
#include "initlist.h"
#include "null.h"
#include "version.h"

int main(int argc, char **argv) {

  std::cout << "Running " << PROJECT_NAME << ", version " << VERSION << "\n"
            << std::endl;

  std::cout << "Null test:" << std::endl;
  null::test();

  std::cout << "\n"
            << "Constexpr test:" << std::endl;
  constexp::test();

  std::cout << "\n"
            << "Ifswitch test:" << std::endl;
  ifswitch::test();

  std::cout << "\n"
            << "Initializer list test:" << std::endl;
  initlist::test();

  std::cout << "\nExiting" << std::endl;

  return EXIT_SUCCESS;
}
